Package org.flowable.engine.app

# Class AppModel

java.lang.Object
org.flowable.engine.app.AppModel

public class AppModel extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  `protected String`
  `groupsAccess`
  `protected String`
  `icon`
  `protected String`
  `key`
  `protected String`
  `name`
  `protected String`
  `theme`
  `protected String`
  `usersAccess`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `String`
  `getGroupsAccess()`
  `String`
  `getIcon()`
  `String`
  `getKey()`
  `String`
  `getName()`
  `String`
  `getTheme()`
  `String`
  `getUsersAccess()`
  `void`
  `setDescription(String description)`
  `void`
  `setGroupsAccess(String groupsAccess)`
  `void`
  `setIcon(String icon)`
  `void`
  `setKey(String key)`
  `void`
  `setName(String name)`
  `void`
  `setTheme(String theme)`
  `void`
  `setUsersAccess(String usersAccess)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### key

    protected String key

  - ### name

    protected String name

  - ### description

    protected String description

  - ### theme

    protected String theme

  - ### icon

    protected String icon

  - ### usersAccess

    protected String usersAccess

  - ### groupsAccess

    protected String groupsAccess

- ## Constructor Details

  - ### AppModel

    public AppModel()

- ## Method Details

  - ### getKey

    public String getKey()

  - ### setKey

    public void setKey(String key)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getTheme

    public String getTheme()

  - ### setTheme

    public void setTheme(String theme)

  - ### getIcon

    public String getIcon()

  - ### setIcon

    public void setIcon(String icon)

  - ### getUsersAccess

    public String getUsersAccess()

  - ### setUsersAccess

    public void setUsersAccess(String usersAccess)

  - ### getGroupsAccess

    public String getGroupsAccess()

  - ### setGroupsAccess

    public void setGroupsAccess(String groupsAccess)